AutoCAD .NET :: Get Position / Location Of Nested Entity
Apr 16, 2012
I am trying to get either location, insertion point, or center of an entity that is inside of a block. I'm getting subentity using the Editor.GetNestedEntity. I create a FullSubEntityPath for highlighting, that works well, and I have looked at using GetSubEntityGeometricExtents using that same subentitypath, but not having any luck, I can't seem to find any documentation on using that method.
I know I can get the location of the owner, then calculate the location of the entity based off of that, but I'm looking for an easy way now, if that don't work out, I can do the lengthy approach.
View 1 Replies
ADVERTISEMENT
Aug 22, 2012
I have a Lisp that I have been working on with some folks in the office, and i feel like i am close, but i am not getting the cigar. The idea would be to have the lisp allow the user to select a nested x-ref entity, and change the color and linetype of the selected layer, similar to the old "LAP" command (I know it is a dinosaur, but I still miss it). I seem to be doing swimmingly, code I have quasi-plagiarized. It seems to crap out where i try to pass the selected linetype back to the layer. I get the nastygram "Command: ; error: no function definition: GETLINETYPE" right after selecting the linetype from the dialog.
Code below...
x(defun c:CX (/ Sel EntList DataList cnt Num ClrNum EntData)
(if (setq Sel (nentsel "
Select object to change layers color and linetype: "))
(progn
[Code]...
HP Elitebook Workstation
Windows 7
View 6 Replies
View Related
Dec 21, 2013
I am new to Inventor API, but have some experiences in SolidWorks API.
How can I select an entity at a given spacial point (x, y, z)? For example, I want to select a face or edge that is on a given (x, y, z) point. I can not find such an API, except for interactive selections.
View 3 Replies
View Related
Feb 7, 2013
BlockTableRecord.Position gets the position of the block in its owner. So if it is a nested block, it gets the position inside the parent block.
I want to get the position of a nested block in the space (model or paper). One way of doing this is getting the location of that parent, and if the parent is also nested, get that position and so on...and then calculate the position of the nested block.
View 3 Replies
View Related
May 31, 2013
I need to gather objects on a specivied layername within model_space in C#.
How do I add a fileter to my filtervalues to only grab model_space objects.
TypedValue
[] filterValues = new[] { newTypedValue((int)DxfCode.LayerName, LayerName.ToUpper()) };
[Code]....
View 9 Replies
View Related
Jul 13, 2011
finding each objects Position XYZ and Rotation XYZ using LISP. It looks like position is a pretty easy one but rotation data is a bit elusive.
View 9 Replies
View Related
Aug 7, 2013
Behavior that I'm used to in both AE and FCP: When I double click the nested sequence my cursor lands in the exact same location on the timeline matching the original cursor location. So if I'm viewing clip 1234.mov on the main timeline I would expect that after double clicking and opening the nested sequence I would still be looking at clip 1234.mov. Premiere is not handling it the same way.
The way Premiere Pro CC Behaves: I double click the nested sequence to open it but it doesn't match my cursor location. Instead it lands me in the location I was last positioned when inside the nested sequence. This is very frustrating when trying to make client changes based on the timecode of the master sequence. Once I open the nested sequence I have to hunt for the clip that needs editing.
View 11 Replies
View Related
Jan 11, 2012
Where is this data stored?
Geo Location
Sun Source vector (I can see it in the "Sun & Location" Panel)
But how use this data.
In attachment you will see sample drawing with all this information.
How can I find them with lisp?
View 1 Replies
View Related
Apr 23, 2013
Is there a way to position the Filetabs from the default location on the top of the graphic screen to the bottom where the sheet tabs are?
View 1 Replies
View Related
May 22, 2013
I would like to add additional entities to the selection if any of the selected entities contains a an xdata value.
If I put the condition into the ImpliedSelectionChanged reactor I imagine will probably loop back on itself.
View 9 Replies
View Related
Feb 27, 2012
want to upated attributes in proxy entity is this possible?
View 1 Replies
View Related
Jan 7, 2013
or how to position a picture in a specific location within a background picture.
View 3 Replies
View Related
Jul 12, 2013
Is it possible to setup a block so that an attribute position remaines fixed (absolute to drawing) when moving the block?
I've been playing around with creating a Coordinate Block by following these instructions: [URL] ........
What I would like is to be able to set the position of the Coordinate Label and Coordinate Object independently, so that if I move one in the drawing, it doesn't move the other. I've looked into Dynamic Blocks, and the "Lock Position" parameter. I can move the attribute independently, but still everytime I move the block, the attribute moves too.
Our company uses a custom Sheet/Coordinate system to follow flyoffs across a drawing, and I'm trying to learn how to automate the process. It's completely manually right now, so any changes to a drawing creates a lot of work renumbering these flyoffs.
View 4 Replies
View Related
May 1, 2013
I've been working on a drawing that requires me to take .dwg files of 3D equipment and place them into my one drawing for general arrangement purposes. I used it once before but now I'm having a slight issue when I use the flatshot command. I seem to remember Flatshot making my new 2d block at the same coordinates as the existing model and that it would be at zero in the Zed axis (x,y,0). My block now appears and various locations, even when i specify coordinates or basepoint it can be off by a good amount. Is there an option that I'm forgetting or something, so I dont have to manaully move my block back to the desired coordinates?
This isn't a major problem since I can manually match the block back up with the coordinates my model is at and then move it to x,y,0 but I feel like theres a way to ensure I dont have to worry about doing that at all.
View 2 Replies
View Related
May 15, 2013
Is there an easy way to ensure that the position of attributes on a block match the position on another block?
I just used the ATTIN command to upload a bunch of data to the block attributes on a drawing, and now the information is all over the place.
Instead of going through each one manually and repositioning the attributes (a VERY lengthy process), I want to use a "correct" version as a template of sorts to inform the other selected blocks of where to place the attributes and have it reposition the whole thing automatically.
Is this even possible?
View 6 Replies
View Related
Jul 6, 2013
Photoshop Elements 6 (20070910.r.377499)
I do not know why the catalog has changed the file location of "ALL" pictures to the location on my backup drive.
Example: K:My DocumentsMy PicturesPetsPICT1460-1.JPG
The actual location of the original photo is: D:My DocumentsMy PicturesPetsPICT1460-1.JPG
The location of "My Pictures" is on my primary Hard Drive D:My DocumentsMy Pictures
Why is Photoshop changing all of my 37,000+ photo thumbnails to point to my Backup Drive K:?
I need to correct the catalog file. How do I make the correction and stop it from happening in the future?
View 2 Replies
View Related
Dec 27, 2013
I am doing a routine to break a polyline in different points.
I do this by prompt with SendCommand.
string strHandle1 = id.Handle.ToString(); string strEntName1 = "(handent "" + strHandle1 + "")"; string strCommand = "_BREAK" + "
" + strEntName1 + "
" + String_point + "
" + String_point + "
"; Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument.SendStringToExecute(strCommand, true, false, true);
However, I need the new Id of polyline to continue break in other point.
I have tried this:
ObjectId idNewEntity = Autodesk.AutoCAD.Internal.Utils.EntLast();
to get the last entity created, but with "break" doesn´t consider new entity created. Then, How can I get the new Id after "break"?
Autocad Civil 3D 2014 +SP1
Quad Core Intel i7 3770-cpu 3.40Ghz.
ssd samsung 840 pro 512gb+ssd samsung 840 pro 256 gb+1tb hdd
32gb RAM 1600 Mhz.
nVidia Quadro 2000.
Win 7 Pro 64bit
View 2 Replies
View Related
May 2, 2011
I need to export points from 3D map as a .shp file so I can bring them into Maya and have them line up exactly where they need to be based on their coordinates. The points line up pretty close to right in map 3d, and they have a style assigned to them. When I go to the Map --> Tools --> Export, I choose .shp as the file output, and go through and select the layer I need to export. When I've got everything set up, I get an error message saying "no entity to export." I have searched on the internet for this error but not a lot comes up. I'm not sure what I'm missing in order to make the points export.
View 3 Replies
View Related
Jul 11, 2013
I filtering for objects based on layer as shown below.How do i know which type the entity is like whether it is arc or line or circle..
Dim ss As SelectionSet
Dim idarray As ObjectId() = ss.GetObjectIds()
Dim id AsObjectId
For Each id In idarray
Dim entity As = trLocal.GetObject(id, OpenMode.ForRead, True)
Next id
View 3 Replies
View Related
Jan 3, 2013
I select all entities via Editor.SelectAll() method, but the nested entities (inside Blocks) are missing. Do I have to resolve them by iterating through all blocks afterwards or is there a Prompt Selection Option that can be set?
I don't want the user to select the entities, instead I loop through the whole drawing.
View 7 Replies
View Related
Oct 9, 2013
Im trying to figure out what I can do differently in my code to have it show the newly placed text immediately after choosing an insertion point. Im guessing it has to do with a nested transaction and my loop, but Im not sure how to fix.
The code below is to label the layer of a selected entity. If in paperspace, label in paperspace and if in modelspace label in modelspace. Ive been testing this on the "blocks_and_tables_-_imperial.dwg"
Imports Autodesk.AutoCAD.RuntimeImports Autodesk.AutoCAD.ApplicationServices.ApplicationImports Autodesk.AutoCAD.DatabaseServicesImports Autodesk.AutoCAD.EditorInputImports Autodesk.AutoCAD.GeometryImports Autodesk.AutoCADImports Autodesk.AutoCAD.ApplicationServicesPublic Class Class2 Public Function myAnnotate(myDbIn As Database, mySpace As String, myTextContents As String, mySTPT As Point3d) As ObjectId
[code]........
View 3 Replies
View Related
Aug 13, 2013
I need to EnableFrameText to all MLeaders in a drawing, I also want to get the MLeaders who are nested in Blocks automatically...
I started this way but It just works fine with the Mleaders in Modelspace or if I open the Blockeditor to edit Mleaders nested in a Block...
I know I'm not going to "deep", maybe I need an other Transaction, or thirst open each Block to edit... not right sure...
my example:
//Ändert leider nur die MLeader die nicht in einem Block sind....
[CommandMethod("MLeaderIterator")]
public static void MLeaderIterator_Method()
[Code]....
View 2 Replies
View Related
Sep 18, 2013
sample code for creating nested blocks.
View 4 Replies
View Related
Apr 13, 2012
Is there a quick/easy way to know if a DWG contains nested blocks?
View 6 Replies
View Related
Jul 23, 2012
I have a question regarding object overrule.
Simple example, when overrule Line entity to draw three entities Line, Text, Circle when selecting overruled Line is it possible to identify what object have been selected (in this example it could be Line, Text, Circle).
View 3 Replies
View Related
May 10, 2012
I'm trying to add an attribute to an entity, however it seems that the AttributeDefinition requires a Point3d and as such appear in my modelspace. I don't want this, i just wanted it to appear as an attribute with a value when i click on my entity, is there any way of making it so that i does not add into modelspace?
BlockTable bt = (BlockTable)trans.GetObject(db.BlockTableId, OpenMode.ForRead);for (int i = 0; i < prSelectionResult.Value.Count; i++){ // Get the entity the user had selectedEntity ent = (Entity)trans.GetObject(prSelectionResult.Value[i].ObjectId, OpenMode.ForWrite);if (ent.GetType() == typeof(BlockReference)) { // Add attribute to layerBlockReference blockRef = (BlockReference)ent;.
[code]...
View 8 Replies
View Related
Nov 19, 2013
I have a method DrawMLeaderLine(Database db, Transaction tr, Point3d point, string text) that draws me a MLeader line to the given point with the given text as annotation. The MLeader line points to the midpoint of a Line entity. What I need is a binding between the Line midpoint and the MLeader line, so when I move or resize the Line, the MLeader line should follow! I already tried to solve that, using constraints, but it doesn't work for Leaders.
This is my code...
public static MLeader DrawMLeaderLine(Database db, Transaction tr, Point3d point, string text) { Point3d mTextLocation = point + new Vector3d(5, 5, 0); BlockTableRecord btr = tr.GetObject(db.CurrentSpaceId, OpenMode.ForWrite) as BlockTableRecord; MText mText = new MText(); mText.SetDatabaseDefaults(); mText.SetContentsRtf(text); [code]........
will be called from a different class...
Line line = DrawingUtil.DrawLine(doc.Database, tr, closestPoints.Item1, closestPoints.Item2); //Get midpoint of line double midPointX = (line.EndPoint.X + line.StartPoint.X) / 2.0d; double midPointY = (line.EndPoint.Y + line.StartPoint.Y) / 2.0d; Point3d midPointOfLine = new Point3d(midPointX, midPointY, 0); //Draw the leaderline MLeader leaderLine = DrawingUtil.DrawMLeaderLine(doc.Database, tr, midPointOfLine, "Connection");
View 2 Replies
View Related
Feb 27, 2012
Is it possible to edit acad proxy entity.
View 6 Replies
View Related
Jan 3, 2012
I commonly send serialized data to .net functions.
One of the items I send in the entity name of something as a string.
Once my .net function is done, it constructs a resultbuffer to send back to lisp.
I had been doing this:
AcDb.ObjectId id = new ObjectId(Convert.ToInt32(ename));
but the Convert function is throwing an exception.
I do not recall this happening before, but forget if I ever tested it.
I am on win 7 64 bit.
View 9 Replies
View Related
Jul 8, 2013
For some strange reason i'm suddenly unable to select more than one entity just by clicking with my mouse.
for eg if i select a line and try to select a second one ,the first automatically is deselected.
i'm only able to select multiple entities using the" cross windowing" or 'fulyl windowing' an entity.
this is only a recent occurence and i suspect i may have inadvertently pressed some key.
View 5 Replies
View Related
Mar 6, 2011
Can you add an attribute to a non-blocked entity? Basically, I want to "name" plines.
In case I'm going about this wrong, let me ask the question another way. I'm just getting used to the wonders of attributes & data extraction (I love it!). Right now I have blocks with attributes that I use data extraction to count. I also need some way to calculate length. These blocks represent electrical devices - then I need to calculate the amount of wire used to connect the devices.
So now I use a pline to join the devices, get the length of that polyline, and then manually enter that length into the spreadsheet from the data extraction. But...I'm thinking if I can link an attribute to a pline, then I can include that in the data extraction and automate it. But I don't see how I can use a block for this, since the pline will be completely variable and needs to be "custom-fit" for each circuit.
View 4 Replies
View Related